Name:           perl-User
Version:        1.8
Release:        5%{?dist}

Summary:        API for locating user information regardless of OS

Group:          Development/Libraries
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/User/
Source0:        http://search.cpan.org/CPAN/authors/id/T/TB/TBONE/User-1.8.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  perl(ExtUtils::MakeMaker)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))


%description
This module allows applications to retrieve per-user characteristics.


%prep
%setup -q -n User-%{version}


%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*


%check
make test


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc Changes
%{perl_vendorlib}/*
%{_mandir}/man3/*3pm.gz


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb 08 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 1.8-3
- rebuild for new perl

* Wed Jan 09 2008 Xavier Bachelot <xavier@bachelot.org> - 1.8-2
- Remove '|| :' from %%check section.

* Sat Dec 22 2007 Xavier Bachelot <xavier@bachelot.org> - 1.8-1
- Initial build.
